/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Postal address.
 */
@ApiModel(description = "Postal address.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model5 {
  @SerializedName("street_address")
  private String streetAddress = null;

  @SerializedName("postal_code")
  private String postalCode = null;

  @SerializedName("locality")
  private String locality = null;

  @SerializedName("country")
  private String country = null;

  @SerializedName("subdivision")
  private String subdivision = null;

  @SerializedName("state")
  private String state = null;

  public Model5 streetAddress(String streetAddress) {
    this.streetAddress = streetAddress;
    return this;
  }

   /**
   * Street address including number in the street.
   * @return streetAddress
  **/
  @ApiModelProperty(value = "Street address including number in the street.")
  public String getStreetAddress() {
    return streetAddress;
  }

  public void setStreetAddress(String streetAddress) {
    this.streetAddress = streetAddress;
  }

  public Model5 postalCode(String postalCode) {
    this.postalCode = postalCode;
    return this;
  }

   /**
   * Postal code or zip code
   * @return postalCode
  **/
  @ApiModelProperty(value = "Postal code or zip code")
  public String getPostalCode() {
    return postalCode;
  }

  public void setPostalCode(String postalCode) {
    this.postalCode = postalCode;
  }

  public Model5 locality(String locality) {
    this.locality = locality;
    return this;
  }

   /**
   * Locality.
   * @return locality
  **/
  @ApiModelProperty(value = "Locality.")
  public String getLocality() {
    return locality;
  }

  public void setLocality(String locality) {
    this.locality = locality;
  }

  public Model5 country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Country ISO-3166-1 alpha-2 format (2 letter codes).
   * @return country
  **/
  @ApiModelProperty(value = "Country ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public Model5 subdivision(String subdivision) {
    this.subdivision = subdivision;
    return this;
  }

   /**
   * Area of the city.
   * @return subdivision
  **/
  @ApiModelProperty(value = "Area of the city.")
  public String getSubdivision() {
    return subdivision;
  }

  public void setSubdivision(String subdivision) {
    this.subdivision = subdivision;
  }

  public Model5 state(String state) {
    this.state = state;
    return this;
  }

   /**
   * Label of the state.
   * @return state
  **/
  @ApiModelProperty(value = "Label of the state.")
  public String getState() {
    return state;
  }

  public void setState(String state) {
    this.state = state;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model5 model5 = (Model5) o;
    return Objects.equals(this.streetAddress, model5.streetAddress) &&
        Objects.equals(this.postalCode, model5.postalCode) &&
        Objects.equals(this.locality, model5.locality) &&
        Objects.equals(this.country, model5.country) &&
        Objects.equals(this.subdivision, model5.subdivision) &&
        Objects.equals(this.state, model5.state);
  }

  @Override
  public int hashCode() {
    return Objects.hash(streetAddress, postalCode, locality, country, subdivision, state);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model5 {\n");
    
    sb.append("    streetAddress: ").append(toIndentedString(streetAddress)).append("\n");
    sb.append("    postalCode: ").append(toIndentedString(postalCode)).append("\n");
    sb.append("    locality: ").append(toIndentedString(locality)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    subdivision: ").append(toIndentedString(subdivision)).append("\n");
    sb.append("    state: ").append(toIndentedString(state)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

